package com.realnet.angulardatatype.Services;
import com.realnet.angulardatatype.Repository.Ad9Repository;
import com.realnet.angulardatatype.Entity.Ad9
;import java.util.*;

import org.springframework.beans.factory.annotation.Autowired;
import com.realnet.SequenceGenerator.Service.SequenceService;
import org.springframework.data.domain.Page;
import com.realnet.realm.Entity.Realm;
import com.realnet.realm.Services.RealmService;
import org.springframework.data.domain.Pageable;
import org.springframework.http.*;
import com.realnet.users.service1.AppUserServiceImpl;
import com.realnet.users.entity1.AppUser;




	import org.springframework.stereotype.Service;

@Service
 public class Ad9Service {
@Autowired
private Ad9Repository Repository;
	@Autowired
	private AppUserServiceImpl userService; 
@Autowired
	private RealmService realmService;



public Ad9 Savedata(Ad9 data) {




	data.setUpdatedBy(getUser().getUserId());
		data.setCreatedBy(getUser().getUserId());
		data.setAccountId(getUser().getAccount().getAccount_id());
Ad9 save = Repository.save(data);
				return save;	
			}


//	get all with pagination
	public Page<Ad9> getAllWithPagination(Pageable page) {
		return Repository.findAll( getUser().getUserId(),page);
	}			
public List<Ad9> getdetails() {  
		List<Realm> realm = realmService.findByUserId(getUser().getUserId());
List<Ad9> all = Repository.findAll(getUser().getUserId());
		
		return all ;		}


public Ad9 getdetailsbyId(Integer id) {
	return Repository.findById(id).get();
			}


	public void delete_by_id(Integer id) {
 Repository.deleteById(id);
}


public Ad9 update(Ad9 data,Integer id) {
	Ad9 old = Repository.findById(id).get();
old.setName(data.getName());

old.setApproved_field_status(data.getApproved_field_status());

final Ad9 test = Repository.save(old);
		data.setUpdatedBy(getUser().getUserId());
  return test;} 




 public AppUser getUser() {
		AppUser user = userService.getLoggedInUser();
		return user;

	}}
